\name{image.krige.bayes}

\alias{image.krige.bayes}
\alias{persp.krige.bayes}

\title{Plots Predictive Distribution Results}

\description{
  Image or perspective plot of elements of the predictive distribution
  returned by the function \code{\link{krige.bayes}}.
}

\usage{
image.krige.bayes(obj, locations,
                  values.to.plot=c("moments.mean", "moments.variance",
                                   "mean.simulations", "variance.simulations",
                                   "quantiles", "probability", "simulation"),
                   number.col, ...)


persp.krige.bayes(obj, locations,
                  values.to.plot=c("moments.mean", "moments.variance",
                                   "mean.simulations", "variance.simulations",
                                   "quantiles", "probability", "simulation"),
                   number.col, ...)
}

\arguments{
  \item{obj}{object with results returned by the function \code{\link{krige.bayes}}.}
  \item{locations}{a matrix \eqn{n x 2} with prediction locations.}
  \item{values.to.plot}{specify which element of the predictive
    distribution will be plotted. See DETAILS below.}
  \item{number.col}{Only used if \code{values.to.plot = "quantile",
      "probability"}, or \code{"simulation"}.
    Specifies the number of the column to be plotted.}
  \item{\dots}{extra arguments to be passed to the function \code{\link{image}} or \code{\link{persp}}.}

}

\details{
  The function \code{\link{krige.bayes}} can return several different
  summary/results of the predictive distribution.
  The argument \code{values.to.plot} specifies which result will be
  plotted and can be passed to the function in two different forms:
  \itemize{
    \item a vector with the values to be plotted
    \item one of the options: \code{"moments.mean", "moments.variance",
      "mean.simulations", "variance.simulations", "quantiles",
      "probability", "simulation"}
  }.
  For the last three options a column number must be provided in the
  argument {\number.col} since the results are stored in matrices.

  The documentation of the function \code{\link{krige.bayes}} provides
  mode details about each type of result.

}

\value{
  A \code{\link{image}} or \code{\link{persp}} plot is produced on the
  graphics device. No values returned. 
}

\references{
  Further information about \code{geoR/geoS} can be found at:
  \cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
  
}

\author{
  Paulo J. Ribeiro Jr. <\email{paulojus@est.ufpr.br}>
  \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

%\note{ ~~further notes~~ }

\seealso{\code{\link{krige.bayes}}.}

\examples{
#See examples in the documentation of the function \code{\link{krige.bayes}}.
}

\keyword{spatial}

