\name{lines.grf}

\alias{lines.grf}

%- Also NEED an `\alias' for EACH other topic documented here.

\title{Lines with True Variogram for Simulated Data}

\description{
  This functions adds to the current plot the theoretical (true) variogram of simulations generated by the function \code{\link{grf}}.
}

\usage{
lines.grf(obj, max.dist=max(dist(obj$coords)), length=100, lwd=2, ...)
}
%- maybe also `usage' for other objects documented here.

\arguments{
  \item{obj}{an object from the class \code{grf} with simulated data
    generated by the function \code{\link{grf}}.}
  \item{max.dist}{maximum distance to compute and plot the true variogram}
  \item{length}{number of points to compute and draw the variogram line.}
  \item{lwd}{width of the line.}
  \item{\dots}{further arguments to be passed to the function \code{\link{lines}}.}
}

%\details{
%
%}

\value{
  A line with the true variogram model used to simulate the
  data is added to the current
  plot on the graphics device. No values returned.
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo J. Ribeiro Jr. <\email{paulojus@est.ufpr.br}> \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

%\note{ ~~further notes~~ }


\seealso{\code{\link{grf}}, \code{\link{plot.grf}}, \code{\link{lines}}.}

\examples{
sim <- grf(100, cov.pars=c(1, .25)) # simulates data
plot(variog(sim, max.dist=1))       # plot empirical variogram
lines(sim, max.dist=1)              # plot true variogram
}

\keyword{spatial, aplot}%-- one or more ...
