\name{lines.krige.bayes}

\alias{lines.krige.bayes}

%- Also NEED an `\alias' for EACH other topic documented here.

\title{Add a (Bayesian) Estimated Variogram to a Plot}

\description{
  Add a variogram estimate to an empirical variogram plot.
  The estimate is given by a summary (mean, mode or mean) of the
  posterior distribution returned by the funbction \code{\link{krige.bayes}}.
}

\usage{
lines.krige.bayes(obj, max.dist, length = 100,
                  summary.posterior = c("mode", "median", "mean"), ...)
}


\arguments{
  \item{obj}{an object with the output of the function \code{\link{krige.bayes}}.}
  \item{max.dist}{maximum distance in the distance axis (X-axis).}
  \item{length}{number of points to compute the variogram values.}
  \item{summary.posterior}{specify which summary of the posterior
    distribution should be used as parameter estimation (mean, median or
  mode)}
  \item{\dots}{arguments to be passed to the function \code{\link{lines}}.}
}

%\details{
%  ~~ If necessary, more details than the __description__  above ~~
%}

\value{
  A line with the estimated variogram plot is added to the plot in the
  current graphics device.
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\author{
  Paulo J. Ribeiro Jr. <\email{paulojus@est.ufpr.br}> \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

%\note{ ~~further notes~~ }


\seealso{\code{\link{krige.bayes}}, \code{\link{lines}}.}

\examples{
#See examples in the documentation of the function \code{\link{krige.bayes}}.
}

\keyword{spatial, aplot}

